%define pkg_name        Statistics-TTest
%define pkg_version     1.1.0
%define rpm_pkg_version 1.1.0
%define rpm_pkg_release 2.n0i.2

Summary:       Module to compute the confidence interval
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/Y/YU/YUNFANG/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Statistics::Descriptive) >= 2.6
BuildRequires: perl(Statistics::Distributions) >= 0.07
%endif


%description
Perl modules that perform various T-tests.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.1.0-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer 1.1
- rebuild on perl 5.8.8

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 1.1.0-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.1
- rebuild on perl 5.8.7
